<?php
class ControllerAccountOrderStatus extends Controller {
    public function index() {
        $this->load->language('account/order');
        $this->load->model('account/order');

        $data['heading_title'] = $this->language->get('heading_title');

        if (isset($this->request->get['order_id'])) {
            $order_id = (int)$this->request->get['order_id'];
            $order_info = $this->model_account_order->getOrder($order_id);

            if ($order_info) {
                $data['order_status'] = $order_info['order_status'];
                $data['order_id'] = $order_id;
            } else {
                $data['order_status'] = 'Order not found!';
                $data['order_id'] = $order_id;
            }
        } else {
            $data['order_status'] = 'No order ID provided!';
            $data['order_id'] = null;
        }

        $this->response->setOutput($this->renderOrderStatusPage($data));
    }

    private function renderOrderStatusPage($data) {
        $html = '<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>' . $data['heading_title'] . '</title>
</head>
<body>
    <h1>' . $data['heading_title'] . '</h1>
    <p>Order ID: ' . htmlspecialchars($data['order_id']) . '</p>
    <p>Order Status: ' . htmlspecialchars($data['order_status']) . '</p>
</body>
</html>';
        return $html;
    }
}
